orm

## Class Estudiante

- java.lang.Object
- - orm.Estudiante

    public class Estudiante
    extends java.lang.Object

### Field Summary

Fields
`AnotacionSetCollection` `anotacion`
`AsistenciaSetCollection` `asistencia`
`NotaSetCollection` `nota`

### Constructor Summary

Constructors
Constructor and Description
`Estudiante()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Apoderado` `getApoderado_id_fk()`
`Curso` `getCurso_id_fk()`
`int` `getId_pk()`
`java.lang.String` `getNombre()`
`int` `getORMID()`
`java.lang.String` `getRut()`
`void` `setApoderado_id_fk(Apoderado value)`
`void` `setCurso_id_fk(Curso value)`
`void` `setNombre(java.lang.String value)`
`void` `setORM_Apoderado_id_fk(Apoderado value)` This method is for internal use only.
`void` `setORM_Curso_id_fk(Curso value)` This method is for internal use only.
`void` `setRut(java.lang.String value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### anotacion

    public final AnotacionSetCollection anotacion

#### nota

    public final NotaSetCollection nota

#### asistencia

    public final AsistenciaSetCollection asistencia

### Constructor Detail

#### Estudiante

    public Estudiante()

### Method Detail

#### getId_pk

    public int getId_pk()

#### getORMID

    public int getORMID()

#### getNombre

    public java.lang.String getNombre()

#### setNombre

    public void setNombre(java.lang.String value)

#### getRut

    public java.lang.String getRut()

#### setRut

    public void setRut(java.lang.String value)

#### getCurso_id_fk

    public Curso getCurso_id_fk()

#### setCurso_id_fk

    public void setCurso_id_fk(Curso value)

#### setORM_Curso_id_fk

    public void setORM_Curso_id_fk(Curso value)

This method is for internal use only.

#### getApoderado_id_fk

    public Apoderado getApoderado_id_fk()

#### setApoderado_id_fk

    public void setApoderado_id_fk(Apoderado value)

#### setORM_Apoderado_id_fk

    public void setORM_Apoderado_id_fk(Apoderado value)

This method is for internal use only.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`